跳转至

证书管理接口

POST 批量修改配置域名证书

POST /prod-api/cdn/layer7/ssl/batchUpdateDomainCertInfo

Body 请求参数

{
  "source": 0,
  "protocol": 0,
  "domainIdList": [],
  "sslCert": "",
  "sslKey": "",
  "certId": 1
}

请求参数

名称 位置 类型 必选 中文名 说明
Authorization header string -
body body object -
» certId body integer(int64) 证书 ID 当证书来源为托管证书时,certId 为必选
» domainIdList body [integer] 域名 域名 id,例如:domainIdList:[1]
» protocol body integer(int32) 回源方式 0:表示 HTTP,1:表示协议跟随
» source body integer(int32) 证书来源 0:表示自有证书,1:表示托管证书
» sslCert body string 证书内容 当证书来源为自有证书时,sslCert 为必选
» sslKey body string 私钥内容 当证书来源为自有证书时,sslKey 为必选

返回示例

200 Response

{
  "msg": "更新成功",
  "code": 200
}

201 Response

{}

返回结果

状态码 状态码含义 说明 数据模型
200 OK - Inline
201 Created - Inline
401 Unauthorized - Inline
403 Forbidden - Inline
404 Not Found - Inline

返回数据结构

状态码 200

名称 类型 必选 约束 中文名 说明
» msg string true - -
» code integer true - -

数据模型

L7UpdateBatchDomainSSLVo

{
  "certId": 0,
  "domainIdList": [0],
  "protocol": 0,
  "source": 0,
  "sslCert": "string",
  "sslKey": "string"
}

L7UpdateBatchDomainSSLVo

属性

名称 类型 必选 约束 中文名 说明
certId integer(int64) false - 证书 ID 当证书来源为托管证书时,certId 为必选
domainIdList [integer] true - 域名 域名 id,例如:domainIdList:[1]
protocol integer(int32) true - 回源方式 0:表示 HTTP,1:表示协议跟随
source integer(int32) true - 证书来源 0:表示自有证书,1:表示托管证书
sslCert string false - 证书内容 当证书来源为自有证书时,sslCert 为必选
sslKey string false - 私钥内容 当证书来源为自有证书时,sslKey 为必选